#ifndef INC_COMPLEJOS
#define INC_COMPLEJOS

class Complejo{
   public:
      Complejo(float r=0, float i=0) {
         pReal = r;
         pImag = i;
      }

      Complejo conjugado() { 
         return Complejo(parteReal(),-parteImaginaria());
      }

      // podra definirse fuera de la clase, sin friend
      friend Complejo operator +(Complejo c1, Complejo c2) {
         return Complejo(c1.parteReal() + c2.parteReal(), 
                         c1.parteImaginaria() + c2.parteImaginaria());
      }

      Complejo operator *(Complejo c) {
         return Complejo(parteReal() * c.parteReal() - 
                         parteImaginaria() * c.parteImaginaria(),
                         parteReal() * c.parteReal() + 
                         parteImaginaria() * c.parteReal());
      }

      float parteReal() {
         return pReal;
      }
   
      float parteImaginaria(){
         return pImag;
      }

   private:
      float pReal, pImag;
   
};

#endif
